package cn.iocoder.yudao.module.common.dal.mysql.moldrepair;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.common.dal.dataobject.moldrepair.MoldRepairLineDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 设备维修记录行 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
@Repository
public interface MoldRepairLineMapper extends BaseMapperX<MoldRepairLineDO> {

    default List<MoldRepairLineDO> selectListByRepairId(Long repairId) {
        return selectList(MoldRepairLineDO::getRepairId, repairId);
    }

    default int deleteByRepairId(Long repairId) {
        return delete(MoldRepairLineDO::getRepairId, repairId);
    }

}